summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Chvatal <scarabeus@gentoo.org>2011-04-27 16:54:44 +0000
committerTomas Chvatal <scarabeus@gentoo.org>2011-04-27 16:54:44 +0000
commit6ee095f869ea42d8f1931da4dccee3e96afca434 (patch)
tree1be62a5c472c7cc888f37ff0ecf9014d73dbc0ca /eclass/cmake-utils.eclass
parentVersion bump to latest. (diff)
downloadhistorical-6ee095f869ea42d8f1931da4dccee3e96afca434.tar.gz
historical-6ee095f869ea42d8f1931da4dccee3e96afca434.tar.bz2
historical-6ee095f869ea42d8f1931da4dccee3e96afca434.zip
Rather inform that we have no tests instead of printing help for ctest.
Diffstat (limited to 'eclass/cmake-utils.eclass')
-rw-r--r--eclass/cmake-utils.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/cmake-utils.eclass b/eclass/cmake-utils.eclass
index b0a8f66ddc56..a4a1d79eacfd 100644
--- a/eclass/cmake-utils.eclass
+++ b/eclass/cmake-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.67 2011/03/18 19:45:49 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.68 2011/04/27 16:54:44 scarabeus Exp $
# @ECLASS: cmake-utils.eclass
# @MAINTAINER:
@@ -411,10 +411,12 @@ enable_cmake-utils_src_install() {
enable_cmake-utils_src_test() {
debug-print-function ${FUNCNAME} "$@"
+ local ctestargs
_check_build_dir
pushd "${CMAKE_BUILD_DIR}" > /dev/null
- local ctestargs
+ [[ -e CTestTestfile.cmake ]] || { echo "No tests found. Skipping."; return 0 ; }
+
[[ -n ${TEST_VERBOSE} ]] && ctestargs="--extra-verbose --output-on-failure"
ctest ${ctestargs} "$@" || die "Tests failed."
popd > /dev/null